Summary:	A password-checking library.
Name:		cracklib
Group:		System Environment/Libraries
License:	artistic
Version:	2.7
Release:	3
Source0:	ftp://coast.cs.purdue.edu/pub/tools/unix/cracklib/cracklib_2.7.tgz
Patch:		cracklib-2.7-redhat.patch
Buildroot:	%{_tmppath}/%{name}-%{release}-root

%description
CrackLib tests passwords to determine whether they match certain
security-oriented characteristics. You can use CrackLib to stop
users from choosing passwords which would be easy to guess. CrackLib
performs certain tests: 

* It tries to generate words from a username and gecos entry and 
  checks those words against the password;
* It checks for simplistic patterns in passwords;
* It checks for the password in a dictionary.

CrackLib is actually a library containing a particular
C function which is used to check the password, as well as
other C functions. CrackLib is not a replacement for a passwd
program; it must be used in conjunction with an existing passwd
program.

%files
  %defattr(-,root,root)
  %doc README MANIFEST LICENCE HISTORY POSTER

  %attr(0444,root,root)	%{_includedir}/crack.h
  %attr(0555,root,root)	%{_libdir}/libcrack.so
  %attr(0555,root,root)	%{_libdir}/libcrack.so.%{version}

%package dicts
Summary:	The standard CrackLib dictionaries.
Group:		System Environment/Libraries

%description dicts
The cracklib-dicts package includes the CrackLib dictionaries.
CrackLib will need to use the dictionary appropriate to your system,
which is normally put in /usr/dict/words.  Cracklib-dicts also contains
the utilities necessary for the creation of new dictionaries.

If you are installing CrackLib, you should also install cracklib-dicts.

%files dicts
  %defattr(-,root,root)

  %attr(0500,root,root)	%{_sbindir}/create-cracklib-dict
  %attr(0500,root,root)	%{_sbindir}/mkdict
  %attr(0500,root,root)	%{_sbindir}/packer

  %attr(0444,root,root)	%{_prefix}/lib/cracklib_dict.*

%prep
%setup -n cracklib,2.7
%patch -p1

%build
  make all %{?_smp_mflags}

%install
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

  mkdir -p $RPM_BUILD_ROOT/%{_includedir}
  mkdir -p $RPM_BUILD_ROOT/%{_libdir}
  mkdir -p $RPM_BUILD_ROOT/%{_prefix}/lib/
  mkdir -p $RPM_BUILD_ROOT/%{_sbindir}

  make install ROOT=$RPM_BUILD_ROOT
  strip $RPM_BUILD_ROOT/%{_sbindir}/packer

  # Put 64bit libs where they belong.
%ifarch x86_64
  mv $RPM_BUILD_ROOT/%{_prefix}/lib/*.so* $RPM_BUILD_ROOT/%{_libdir}
%endif

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%changelog
* Wed Aug 10 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7, Release 3
  - x86_64 support.

* Mon Jul 25 2005 Ryan W. Maple <ryan@guardiandigital.com>
- Version 2.7, Release 2
  - Bump release so APT recognizes that we are newer.

* Tue Jun 28 2005 Pete O'Hara <pete@guardiandigital.com>
- Version 2.7, Release 1
  - Initial build for EnGarde Secure Linux 3.0.
